%define anolis_release 1

%bcond_without perl_Test_Simple_enables_Module_Pluggable
%bcond_without perl_Test_Simple_enables_optional_test

Name:           perl-Test-Simple
Summary:        Basic utilities for writing tests
Epoch:          3
Version:        1.302190
Release: %{anolis_release}%{dist}
# CC0: lib/ok.pm
# Public Domain: lib/Test/Tutorial.pod
# GPL+ or Artistic: the rest of the distribution
License:        (GPL+ or Artistic) and CC0 and Public Domain
URL:            https://metacpan.org/release/Test-Simple
Source0:        https://cpan.metacpan.org/modules/by-module/Test/Test-Simple-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Module Runtime
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(JSON::PP)
BuildRequires:  perl(List::Util)
%if %{with perl_Test_Simple_enables_Module_Pluggable} && !%{defined perl_bootstrap}
BuildRequires:  perl(Module::Pluggable)
%endif
# mro used since Perl 5.010
BuildRequires:  perl(mro)
BuildRequires:  perl(overload)
BuildRequires:  perl(PerlIO) >= 1.02
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util) >= 1.13
BuildRequires:  perl(Storable)
BuildRequires:  perl(strict)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Term::ANSIColor)
%if !%{defined perl_bootstrap}
BuildRequires:  perl(Term::Table)
%endif
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(IO::Pipe)
BuildRequires:  perl(lib)
BuildRequires:  perl(threads)
# Optional Tests
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Requirements) >= 2.120920
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Test::Harness) >= 2.03
%if !%{defined perl_bootstrap}
%if %{with perl_Test_Simple_enables_optional_test}
BuildRequires:  perl(Test::Class)
BuildRequires:  perl(Test::Pod) >= 0.95
BuildRequires:  perl(Test::Script)
%endif
%endif
# Runtime
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Data::Dumper)
Requires:       perl(JSON::PP)
%if %{with perl_Test_Simple_enables_Module_Pluggable} && !%{defined perl_bootstrap}
Suggests:       perl(Module::Pluggable)
%endif
# mro used since Perl 5.010
Requires:       perl(mro)
Requires:       perl(Term::ANSIColor)
%if !%{defined perl_bootstrap}
Requires:       perl(Term::Table)
%endif

%{?perl_default_filter}

%description
This package provides the bulk of the core testing facilities. For more
information, see perldoc for Test::Simple, Test::More, etc.

This package is the CPAN component of the dual-lifed core package Test-Simple.

%prep
%setup -q -n Test-Simple-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test %{!?perl_bootstrap:AUTHOR_TESTING=1}

%files
%license LICENSE
%doc Changes README examples/ t/
%dir %{perl_vendorlib}/Test/
%{perl_vendorlib}/ok.pm
%{perl_vendorlib}/Test/Builder.pm
%{perl_vendorlib}/Test/Builder/
%{perl_vendorlib}/Test/More.pm
%{perl_vendorlib}/Test/Simple.pm
%{perl_vendorlib}/Test/Tester.pm
%{perl_vendorlib}/Test/Tester/
%doc %{perl_vendorlib}/Test/Tutorial.pod
%{perl_vendorlib}/Test/use/
%{perl_vendorlib}/Test2.pm
%{perl_vendorlib}/Test2/
%{_mandir}/man3/ok.3*
%{_mandir}/man3/Test::Builder.3*
%{_mandir}/man3/Test::Builder::Formatter.3*
%{_mandir}/man3/Test::Builder::IO::Scalar.3*
%{_mandir}/man3/Test::Builder::Module.3*
%{_mandir}/man3/Test::Builder::Tester.3*
%{_mandir}/man3/Test::Builder::Tester::Color.3*
%{_mandir}/man3/Test::Builder::TodoDiag.3*
%{_mandir}/man3/Test::More.3*
%{_mandir}/man3/Test::Simple.3*
%{_mandir}/man3/Test::Tester.3*
%{_mandir}/man3/Test::Tester::Capture.3*
%{_mandir}/man3/Test::Tester::CaptureRunner.3*
%{_mandir}/man3/Test::Tutorial.3*
%{_mandir}/man3/Test::use::ok.3*
%{_mandir}/man3/Test2.3*
%{_mandir}/man3/Test2::API.3*
%{_mandir}/man3/Test2::API::Breakage.3*
%{_mandir}/man3/Test2::API::Context.3*
%{_mandir}/man3/Test2::API::Instance.3*
%{_mandir}/man3/Test2::API::InterceptResult.3*
%{_mandir}/man3/Test2::API::InterceptResult::Event.3*
%{_mandir}/man3/Test2::API::InterceptResult::Hub.3*
%{_mandir}/man3/Test2::API::InterceptResult::Squasher.3*
%{_mandir}/man3/Test2::API::Stack.3*
%{_mandir}/man3/Test2::Event.3*
%{_mandir}/man3/Test2::Event::Bail.3*
%{_mandir}/man3/Test2::Event::Diag.3*
%{_mandir}/man3/Test2::Event::Encoding.3*
%{_mandir}/man3/Test2::Event::Exception.3*
%{_mandir}/man3/Test2::Event::Fail.3*
%{_mandir}/man3/Test2::Event::Generic.3*
%{_mandir}/man3/Test2::Event::Note.3*
%{_mandir}/man3/Test2::Event::Ok.3*
%{_mandir}/man3/Test2::Event::Pass.3*
%{_mandir}/man3/Test2::Event::Plan.3*
%{_mandir}/man3/Test2::Event::Skip.3*
%{_mandir}/man3/Test2::Event::Subtest.3*
%{_mandir}/man3/Test2::Event::TAP::Version.3*
%{_mandir}/man3/Test2::Event::V2.3*
%{_mandir}/man3/Test2::Event::Waiting.3*
%{_mandir}/man3/Test2::EventFacet.3*
%{_mandir}/man3/Test2::EventFacet::About.3*
%{_mandir}/man3/Test2::EventFacet::Amnesty.3*
%{_mandir}/man3/Test2::EventFacet::Assert.3*
%{_mandir}/man3/Test2::EventFacet::Control.3*
%{_mandir}/man3/Test2::EventFacet::Error.3*
%{_mandir}/man3/Test2::EventFacet::Hub.3*
%{_mandir}/man3/Test2::EventFacet::Info.3*
%{_mandir}/man3/Test2::EventFacet::Info::Table.3*
%{_mandir}/man3/Test2::EventFacet::Meta.3*
%{_mandir}/man3/Test2::EventFacet::Parent.3*
%{_mandir}/man3/Test2::EventFacet::Plan.3*
%{_mandir}/man3/Test2::EventFacet::Render.3*
%{_mandir}/man3/Test2::EventFacet::Trace.3*
%{_mandir}/man3/Test2::Formatter.3*
%{_mandir}/man3/Test2::Formatter::TAP.3*
%{_mandir}/man3/Test2::Hub.3*
%{_mandir}/man3/Test2::Hub::Interceptor.3*
%{_mandir}/man3/Test2::Hub::Interceptor::Terminator.3*
%{_mandir}/man3/Test2::Hub::Subtest.3*
%{_mandir}/man3/Test2::IPC.3*
%{_mandir}/man3/Test2::IPC::Driver.3*
%{_mandir}/man3/Test2::IPC::Driver::Files.3*
%{_mandir}/man3/Test2::Tools::Tiny.3*
%{_mandir}/man3/Test2::Transition.3*
%{_mandir}/man3/Test2::Util.3*
%{_mandir}/man3/Test2::Util::ExternalMeta.3*
%{_mandir}/man3/Test2::Util::Facets2Legacy.3*
%{_mandir}/man3/Test2::Util::HashBase.3*
%{_mandir}/man3/Test2::Util::Trace.3*

%changelog 
* Wed Apr 20 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 1.302190-1
- Init package from upstream v1.302190
